<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}
?>
<div class="templatepopcentering" style="width:500px;margin-top: 1%;">
        <div id='pop' style="border: 1px solid #ffffff;">
            <div class="detil" style="padding: 2px;background-color: white;">         
			<form id="frm_relaas_akta" class="templatepopform" method="post" action="<?php echo base_url().'c_template_agama_banding/cetak_akta_banding';?>">
			<table id="" >				
				<tr><td colspan="2" class="templatepoptitle">
            <?php 
                $i=0;
                foreach ($template->result() as $template){
                    if ($i=='0'){
                        $judul=$template->namatemplate;
                        $judul=explode("Oleh",$judul);
                        $jnsperkara=$template->jnsperkara;
                    }
                }
                if($idakta==1){
                    echo strtoupper("Akta Permohonan Banding <br/> Perkara ".$jnsperkara);
                }elseif($idakta==2){
                    echo strtoupper("Tanda Terima Memori Banding <br/> Perkara ".$jnsperkara);
                }elseif($idakta==3){
                    echo strtoupper("Tanda Terima Kontra Memori Banding <br/> Perkara ".$jnsperkara);
                }elseif($idakta==4){
                    echo strtoupper("Akta Pencabutan Permohonan Banding <br/> Perkara ".$jnsperkara);
                }
            ?>
                </td></tr>
                <tr>
                    <td class="templatepopleftcol">Akta Banding<font color=red>*</font></td>
                    <td>
                        <input type="hidden" id="pihakasal" name = 'pihakasal' value="<?php echo $pihakasal; ?>">
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="jenisAkta" id="jenisAkta" class="custom-dropdown__select custom-dropdown__select--white">
                                <?php
                                    if($idakta==1 AND $pihakasal==1){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="1">Akta Permohonan Banding Penggugat</option>';
                                        echo '<option value="2">Akta Permohonan Banding Kuasa Penggugat</option>';
                                        echo '<option value="7">Akta Permohonan Banding (Melalui Kuasa Insidentil)</option>';
                                        echo '<option value="10">Akta Permohonan Banding Secara Prodeo</option>';
                                    }elseif($idakta==1 AND $pihakasal==2){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="3">Akta Permohonan Banding Tergugat</option>';
                                        echo '<option value="4">Akta Permohonan Banding Kuasa Tergugat</option>';
                                        echo '<option value="8">Akta Permohonan Banding (Melalui Kuasa Insidentil)</option>';
                                        echo '<option value="11">Akta Permohonan Banding Secara Prodeo</option>';
                                    }elseif($idakta==1 AND $pihakasal==3){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="5">Akta Permohonan Intervensi</option>';
                                        echo '<option value="6">Akta Permohonan Kuasa Intervensi</option>';
                                        echo '<option value="9">Akta Permohonan Banding (Melalui Kuasa Insidentil)</option>';
                                        echo '<option value="12">Akta Permohonan Banding Secara Prodeo</option>';                                        
                                    }elseif($idakta==2 AND $pihakasal==1){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="13">Tanda Terima Memori Banding</option>';                                        
                                    }elseif($idakta==2 AND $pihakasal==2){ 
                                        echo '<option value="-1">Pilih Jenis Akta</option>';                                      
                                        echo '<option value="14">Tanda Terima Memori Banding</option>';
                                    }elseif($idakta==2 AND $pihakasal==3){ 
                                        echo '<option value="-1">Pilih Jenis Akta</option>';                                      
                                        echo '<option value="15">Tanda Terima Memori Banding</option>';                                        
                                    }elseif($idakta==3 AND $pihakasal==1){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="16">Tanda Terima Kontra Memori Banding</option>';                                        
                                    }elseif($idakta==3 AND $pihakasal==2){ 
                                        echo '<option value="-1">Pilih Jenis Akta</option>';                                      
                                        echo '<option value="17">Tanda Terima Kontra Memori Banding</option>';
                                    }elseif($idakta==3 AND $pihakasal==3){ 
                                        echo '<option value="-1">Pilih Jenis Akta</option>';                                      
                                        echo '<option value="18">Tanda Terima Kontra Memori Banding</option>';                                        
                                    }elseif($idakta==4 AND $pihakasal==1){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="19">Akta Pencabutan Permohonan Banding, sebelum berkas perkara dikirim ke PTA/MSY</option>';
                                        echo '<option value="22">Akta Pencabutan Permohonan Banding, setelah berkas perkara dikirim ke PTA/MSY</option>';
                                    }elseif($idakta==4 AND $pihakasal==2){ 
                                        echo '<option value="-1">Pilih Jenis Akta</option>';                                      
                                        echo '<option value="20">Akta Pencabutan Permohonan Banding, sebelum berkas perkara dikirim ke PTA/MSY</option>';
                                        echo '<option value="23">Akta Pencabutan Permohonan Banding, setelah berkas perkara dikirim ke PTA/MSY</option>';
                                    }elseif($idakta==4 AND $pihakasal==3){ 
                                        echo '<option value="-1">Pilih Jenis Akta</option>';                                      
                                        echo '<option value="21">Akta Pencabutan Permohonan Banding, sebelum berkas perkara dikirim ke PTA/MSY</option>';
                                        echo '<option value="24">Akta Pencabutan Permohonan Banding, setelah berkas perkara dikirim ke PTA/MSY</option>';                                        
                                    }
                                ?>                                
                            </select>
                        </span>
                    </td>
                </tr>                
                <tr class="tr_tergugat" style="display:none;">
                    <td class="templatepopleftcol">Nama Tergugat<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="idterdakwa" id="idterdakwa"  class="custom-dropdown__select custom-dropdown__select--white">
                                <?php                                
                                    if($listTerdakwa != ''){
                                        if($listTerdakwa->num_rows>0){
                                            if($listTerdakwa->num_rows>1){
                                                echo '<option value="-1">Pilih Nama Terdakwa</option>';
                                            }foreach ($listTerdakwa->result() as $row) {
                                                $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                                echo "<option value='".$IDPihak."' atttgl='".$this->templatehelper->convertKeTglDatepicker($row->tglPemberitahuan)."'>".$this->templatehelper->standradnaming($row->nama)."</option>";                                                    
                                            }
                                        }else{
                                            echo "<option value='-1'>Pihak Tidak Secara Langsung Mengajukan Permohonan Banding</option>";
                                        }
                                    }else{
                                        echo "<option value='-1'>Pihak Tidak Secara Langsung Mengajukan Permohonan Banding</option>";
                                    }
                                ?>                                 
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr class="tr_intervensi" style="display:none;">
                    <td class="templatepopleftcol">Nama Intervensi<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="idterdakwa" id="idterdakwa"  class="custom-dropdown__select custom-dropdown__select--white">
                                <?php                                
                                    if($listTerdakwa != ''){
                                        if($listTerdakwa->num_rows>0){
                                            if($listTerdakwa->num_rows>1){
                                                echo '<option value="-1">Pilih Nama Terdakwa</option>';
                                            }foreach ($listTerdakwa->result() as $row) {
                                                $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                                echo "<option value='".$IDPihak."' atttgl='".$this->templatehelper->convertKeTglDatepicker($row->tglPemberitahuan)."'>".$this->templatehelper->standradnaming($row->nama)."</option>";                                                    
                                            }
                                        }else{
                                            echo "<option value='-1'>Pihak Tidak Secara Langsung Mengajukan Permohonan Banding</option>";
                                        }
                                    }else{
                                        echo "<option value='-1'>Pihak Tidak Secara Langsung Mengajukan Permohonan Banding</option>";
                                    }
                                ?>                                 
                            </select>
                        </span>
                    </td> 
                </tr>                
                <tr class="tr_penggugat" style="display:none;">
                    <td class="templatepopleftcol">Nama Penggugat<font color=red>*</font></td>
                    <td>   
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style="width:275px;"  name="idpenuntut" id="idpenuntut"  class="custom-dropdown__select custom-dropdown__select--white">                   
                    <?php                                
                                if($listPenuntut != ''){
                                    if($listPenuntut->num_rows>0){
                                        if($listPenuntut->num_rows>1){
                                            echo '<option value="-1">Pilih Nama Penuntut Umum</option>';
                                        }foreach ($listPenuntut->result() as $row) {
                                            $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                            echo "<option value='".$IDPihak."' atttgl='".$this->templatehelper->convertKeTglDatepicker($row->tglPemberitahuan)."'>".$this->templatehelper->standradnaming($row->nama)."</option>";
                                        }
                                    }else{
                                        echo "<option value='-1'>Pihak Tidak Secara Langsung Mengajukan Permohonan Banding</option>";
                                    }
                                }else{
                                    echo "<option value='-1'>Pihak Tidak Secara Langsung Mengajukan Permohonan Banding</option>";
                                }
                    ?>                                                                                                                             
                            </select>
                        </span>
                    </td>
                </tr>                               
                <tr class="tr_kuasa" style="display:none;">
                    <td class="templatepopleftcol">Nama Kuasa Hukum<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="idpenasihat" id="idpenasihat"  class="custom-dropdown__select custom-dropdown__select--white">                                                                
                                <?php
                                if($pihakasal==1){
                                    if($listKuasaP != ''){
                                        if($listKuasaP->num_rows>0){
                                            if($listKuasaP->num_rows>1){
                                                echo '<option value="-1">Pilih Kuasa Hukum</option>';
                                            }
                                            foreach ($listKuasaP->result() as $row) {
                                                $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                                    echo "<option value='".$IDPihak."' atttgl='".$this->templatehelper->convertKeTglDatepicker($row->tglPemberitahuan)."'>".$this->templatehelper->standradnaming($row->nama)."</option>";
                                                }                                        
                                            }else{
                                                echo "<option value='-1'>Mohon Mengisikan Kuasa Hukum Terlebih Dahulu</option>";
                                            }
                                    }else{
                                        echo "<option value='-1'>ohon Mengisikan Kuasa Hukum Terlebih Dahulu</option>";
                                    }
                                }elseif($pihakasal==2){
                                    if($listKuasaT != ''){
                                        if($listKuasaT->num_rows>0){
                                            if($listKuasaT->num_rows>1){
                                                echo '<option value="-1">Pilih Kuasa Hukum</option>';
                                            }
                                            foreach ($listKuasaT->result() as $row) {
                                                $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                                    echo "<option value='".$IDPihak."' atttgl='".$this->templatehelper->convertKeTglDatepicker($row->tglPemberitahuan)."'>".$this->templatehelper->standradnaming($row->nama)."</option>";
                                                }                                        
                                            }else{
                                                echo "<option value='-1'>Mohon Mengisikan Kuasa Hukum Terlebih Dahulu</option>";
                                            }
                                    }else{
                                        echo "<option value='-1'>ohon Mengisikan Kuasa Hukum Terlebih Dahulu</option>";
                                    }
                                }elseif($pihakasal==3){
                                    if($listKuasaInter != ''){
                                        if($listKuasaInter->num_rows>0){
                                            if($listKuasaInter->num_rows>1){
                                                echo '<option value="-1">Pilih Kuasa Hukum</option>';
                                            }
                                            foreach ($listKuasaInter->result() as $row) {
                                                $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                                    echo "<option value='".$IDPihak."' atttgl='".$this->templatehelper->convertKeTglDatepicker($row->tglPemberitahuan)."'>".$this->templatehelper->standradnaming($row->nama)."</option>";
                                                }                                        
                                            }else{
                                                echo "<option value='-1'>Mohon Mengisikan Kuasa Hukum Terlebih Dahulu</option>";
                                            }
                                    }else{
                                        echo "<option value='-1'>ohon Mengisikan Kuasa Hukum Terlebih Dahulu</option>";
                                    }
                                }
                                
                                ?>                                 
                            </select>
                        </span>
                    </td> 
                </tr>                                                                                               
                <tr>
                    <td class="templatepopleftcol">Penanda Tangan Akta<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="penandaT" id="penandaT"  class="custom-dropdown__select custom-dropdown__select--white">                                
                                <?php                                
                                    if($listPembuatAkta != ''){
                                        if($listPembuatAkta->num_rows>0){
                                            foreach ($listPembuatAkta->result() as $row) {
                                                $id = base64_encode($this->encrypt->encode($row->id));
                                                echo "<option value='".$id."'>".$this->templatehelper->standradnaming($row->namaPanitera)."</option>";
                                            }
                                        }
                                    }
                                ?>                                                                                                
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">Tanggal Akta<font color=red>*</font></td>                    
                    <td>                        
                        <input style="background-color:#8;padding:5px;" value="<?php echo $tglpermohonanindo;?>" disabled>
                    </td>
                </tr>						
                <tr>
					<td colspan="2" style="background:white;" align="center">
                        <input type="hidden" id="enc" name = 'enc' value="<?php echo $enc; ?>">
                        <input type="hidden" id="inputpemberitahuan" name = 'inputpemberitahuan' value="<?php echo $tglpermohonan; ?>">                        
						<input type="button" id="kembali" value="Kembali" class="btn">
						<input type="submit" id="print_btn" value="Cetak" class="btn">
					</td>
				</tr>
            </table>
		</div>
	</div>
</div>

<script type="text/javascript">
$('#kembali').closingFormWin();

$("#jenisAkta").change(function(){
    if(($(this).val()==1)||($(this).val()==10)||($(this).val()==13)||($(this).val()==16)||($(this).val()==19)||($(this).val()==22))
    $("tr.tr_penggugat").show();
    else $("tr.tr_penggugat").hide();
})

$("#jenisAkta").change(function(){
    if(($(this).val()==3)||($(this).val()==11)||($(this).val()==14)||($(this).val()==17)||($(this).val()==20)||($(this).val()==23))
    $("tr.tr_tergugat").show();
    else $("tr.tr_tergugat").hide();
})

$("#jenisAkta").change(function(){
    if(($(this).val()==5)||($(this).val()==12)||($(this).val()==15)||($(this).val()==18)||($(this).val()==21)||($(this).val()==24))
    $("tr.tr_intervensi").show();
    else $("tr.tr_intervensi").hide();
})

$("#jenisAkta").change(function(){
    if(($(this).val()==2)||($(this).val()==4)||($(this).val()==6)||($(this).val()==7)||($(this).val()==8)||($(this).val()==9))
        $("tr.tr_kuasa").show();        
    else $("tr.tr_kuasa").hide();    
})


$('#frm_relaas_akta').submit(function(e) {
    var jenisAkta = $('#jenisAkta').val();

    if(jenisAkta==3){    
        var terdakwa = $('#idterdakwa').val();
        if(terdakwa==-1 || terdakwa==''){
            message_error_show('Silahkan Pilih Nama Yang Melakukan Banding');
            e.preventDefault();
        }
    } 
    if(jenisAkta==5){    
        var terdakwa = $('#idterdakwa').val();
        if(terdakwa==-1 || terdakwa==''){
            message_error_show('Silahkan Pilih Nama Yang Melakukan Banding');
            e.preventDefault();
        }
    } 
    if(jenisAkta==2||jenisAkta==4||jenisAkta==6){
        var penasihat = $('#idpenasihat').val();
        if(penasihat==-1){
            message_error_show('Silahkan Pilih Kuasa Hukum Yang Mengajukan Banding');
             e.preventDefault();
        }
    }    
    if(jenisAkta==1){
        var penuntut = $('#idpenuntut').val();
        if(penuntut==-1){
            message_error_show('Silahkan Pilih Nama Yang Mengajukan Banding');
             e.preventDefault();
        }
    }   
    var penandaT = $('#penandaT').val();
    if(penandaT==-1){
        message_error_show('Silahkan Pilih Pembuat Akta Banding');
         e.preventDefault();
    }
    var tglakta = $('#inputpemberitahuan').val();
    if(tglakta=='-' || tglakta==''){
        message_error_show('Silahkan Rekam Tanggal Akta Terlebih Dahulu');
         e.preventDefault();
    }
    var jenisAkta=$('#jenisAkta').val();
    if(jenisAkta==-1){
        message_error_show('Silahkan Pilih Jenis Akta Banding');
        e.preventDefault();
    }
    
});
</script>